MCUXpresso SDK API Reference Manual: ECSPI FreeRTOS Driver

| MCUXpresso SDK API Reference Manual Rev 2.11.1 NXP Semiconductors

- Main Page
- Related Pages
- API Reference

All Data Structures Functions Variables Typedefs Enumerations Enumerator Groups Pages
ECSPI FreeRTOS Driver
ECSPI: Enhanced Configurable Serial Peripheral Interface Driver

## Overview

## Driver version
#define | FSL_ECSPI_FREERTOS_DRIVER_VERSION (MAKE_VERSION(2, 2, 0))
| ECSPI FreeRTOS driver version. More...

## ECSPI RTOS Operation
status_t | ECSPI_RTOS_Init (ecspi_rtos_handle_t *handle, ECSPI_Type *base, const ecspi_master_config_t *masterConfig, uint32_t srcClock_Hz)
| Initializes ECSPI. More...
status_t | ECSPI_RTOS_Deinit (ecspi_rtos_handle_t *handle)
| Deinitializes the ECSPI. More...
status_t | ECSPI_RTOS_Transfer (ecspi_rtos_handle_t *handle, ecspi_transfer_t *transfer)
| Performs ECSPI transfer. More...

## Macro Definition Documentation

#define FSL_ECSPI_FREERTOS_DRIVER_VERSION (MAKE_VERSION(2, 2, 0))

## Function Documentation

status_t ECSPI_RTOS_Init | ( | ecspi_rtos_handle_t * | handle,
|  | ECSPI_Type * | base,
|  | const ecspi_master_config_t * | masterConfig,
|  | uint32_t | srcClock_Hz
| ) |  |

This function initializes the ECSPI module and related RTOS context.

Parameters

  handle | The RTOS ECSPI handle, the pointer to an allocated space for RTOS context.
  base | The pointer base address of the ECSPI instance to initialize.
  masterConfig | Configuration structure to set-up ECSPI in master mode.
  srcClock_Hz | Frequency of input clock of the ECSPI module.

Returns
  status of the operation.

status_t ECSPI_RTOS_Deinit | ( | ecspi_rtos_handle_t * | handle | ) |

This function deinitializes the ECSPI module and related RTOS context.

Parameters

  handle | The RTOS ECSPI handle.

status_t ECSPI_RTOS_Transfer | ( | ecspi_rtos_handle_t * | handle,
|  | ecspi_transfer_t * | transfer
| ) |  |

This function performs an ECSPI transfer according to data given in the transfer structure.

Parameters

  handle | The RTOS ECSPI handle.
  transfer | Structure specifying the transfer parameters.

Returns
  status of the operation.